<?php
// Configurações do banco de dados
$DB_HOST = 'localhost';
$DB_USER = 'thefullnet';
$DB_PASSWORD = 'asder123Ww@';
$DB_NAME = 'thefullnet';

// Conexão com o banco de dados
$conn = new mysqli($DB_HOST, $DB_USER, $DB_PASSWORD, $DB_NAME);

// Verifica se a conexão foi bem-sucedida
if ($conn->connect_error) {
    die("Conexão falhou: " . $conn->connect_error);
}

// Consulta os QR Codes
$sql = "SELECT qr_code, qr_code_2 FROM qrcode_metadata WHERE id = 1"; // Modifique o ID conforme necessário
$result = $conn->query($sql);

$qr_codes = [
    'mensal' => '',
    'trimestral' => ''
];

// Se os dados forem encontrados, armazene nas variáveis
if ($result->num_rows > 0) {
    while ($row = $result->fetch_assoc()) {
        $qr_codes['mensal'] = $row['qr_code'];
        $qr_codes['trimestral'] = $row['qr_code_2'];
    }
}

// Fecha a conexão
$conn->close();

// Retorna os QR Codes como JSON
echo json_encode($qr_codes);
?>
